--- !ruby/object:RI::MethodDescription 
aliases: 
- !ruby/object:RI::AliasName 
  name: collection_replace
block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Replace the Resources within the Collection
- !ruby/struct:SM::Flow::P 
  body: "@param [Enumerable] other"
- !ruby/struct:SM::Flow::VERB 
  body: "  List of other Resources to replace with\n"
- !ruby/struct:SM::Flow::P 
  body: "@return [self]"
- !ruby/struct:SM::Flow::P 
  body: "@api public"
full_name: DataMapper::Collection#replace
is_singleton: false
name: replace
params: (other)
visibility: public
